ChangeSet 1.872.3.6, 2002/11/18 18:34:46-08:00, bunk@fs.tum.de

[PATCH] fix compile error in usb-serial.c

drivers/usb/serial/usb-serial.c in 2.5.48 fails to compile with the
following error:

drivers/usb/serial/usb-serial.c:842: dereferencing pointer to incompletetype

Is the following patch correct?


diff -Nru a/drivers/usb/serial/usb-serial.c b/drivers/usb/serial/usb-serial.c
--- a/drivers/usb/serial/usb-serial.c	Wed Nov 20 01:01:02 2002
+++ b/drivers/usb/serial/usb-serial.c	Wed Nov 20 01:01:02 2002
@@ -839,7 +839,7 @@
 
 		length += sprintf (page+length, "%d:", i);
 		if (serial->type->owner)
-			length += sprintf (page+length, " module:%s", serial->type->owner->name);
+			length += sprintf (page+length, " module:%s", module_name(serial->type->owner));
 		length += sprintf (page+length, " name:\"%s\"", serial->type->name);
 		length += sprintf (page+length, " vendor:%04x product:%04x", serial->vendor, serial->product);
 		length += sprintf (page+length, " num_ports:%d", serial->num_ports);
